Index: testsuites/samples/Makefile.am
===================================================================
--- testsuites/samples/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ testsuites/samples/Makefile.am	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
@@ -1,34 +1,162 @@
+#
+# Samples
+#
+
 ACLOCAL_AMFLAGS = -I ../aclocal
 
-_SUBDIRS  =
-_SUBDIRS += base_sp
-_SUBDIRS += capture
-_SUBDIRS += fileio
-_SUBDIRS += hello
-_SUBDIRS += minimum
-_SUBDIRS += nsecs
-_SUBDIRS += paranoia
-_SUBDIRS += ticker
-_SUBDIRS += unlimited
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../automake/compile.am
 
-if MPTESTS
-## base_mp is a sample multiprocessing test
-_SUBDIRS += base_mp
+samples =
+sample_screens =
+sample_docs =
+
+support_includes = -I$(top_srcdir)/../support/include
+
+if HAS_MP
+if TEST_base_mp
+# base_mp is a sample multiprocessing test
+samples += base_mp_node1
+sample_screens += base_mp/base_mp-node1.scn
+sample_docs += base_mp/base_mp-node1.doc
+base_mp_node1_SOURCES = base_mp/init.c base_mp/apptask.c base_mp/system.h
+base_mp_node1_CPPFLAGS = -DNODE_NUMBER=1 $(AM_CPPFLAGS) $(TEST_FLAGS_base_mp) \
+	$(support_includes)
+samples += base_mp_node2
+sample_screens += base_mp/base_mp-node2.scn
+sample_docs += base_mp/base_mp-node2.doc
+base_mp_node2_SOURCES = base_mp/init.c base_mp/apptask.c base_mp/system.h
+base_mp_node2_CPPFLAGS = -DNODE_NUMBER=2 $(AM_CPPFLAGS) $(TEST_FLAGS_base_mp) \
+	$(support_includes)
+endif
+endif
+
+if TEST_base_sp
+samples += base_sp
+sample_screens += base_sp/base_sp.scn
+sample_docs += base_sp/base_sp.doc
+base_sp_SOURCES = base_sp/init.c base_sp/apptask.c base_sp/system.h
+base_sp_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_base_sp) \
+	$(support_includes)
+endif
+
+if TEST_capture
+samples += capture
+sample_screens += capture/capture.scn
+sample_docs += capture/capture.doc
+capture_SOURCES = capture/init.c capture/test1.c capture/system.h
+capture_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_capture) \
+	$(support_includes)
 endif
 
 if CXXTESTS
-_SUBDIRS += cdtest
-_SUBDIRS += iostream
+if TEST_cdtest
+samples += cdtest
+sample_screens += cdtest/cdtest.scn
+cdtest_SOURCES = cdtest/init.c cdtest/main.cc cdtest/system.h
+cdtest_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_cdtest) \
+	$(support_includes)
+endif
+endif
+
+if CXXTESTS
+if TEST_iostream
+samples += cxx_iostream
+sample_screens += iostream/iostream.scn
+sample_docs += iostream/iostream.doc
+cxx_iostream_SOURCES = iostream/init.cc iostream/system.h
+cxx_iostream_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_cxx_iostream)
+endif
+endif
+
+if TEST_fileio
+samples += fileio
+sample_docs += fileio/fileio.doc
+fileio_SOURCES = fileio/init.c fileio/system.h
+fileio_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_fileio) \
+	$(support_includes)
+endif
+
+if TEST_hello
+samples += hello
+sample_screens += hello/hello.scn
+sample_docs += hello/hello.doc
+hello_SOURCES = hello/init.c
+hello_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_hello) \
+	$(support_includes)
 endif
 
 if NETTESTS
-## loopback tests a network loopback interface
-_SUBDIRS += loopback
-if HAS_SMP
-else
-_SUBDIRS += pppd
+if TEST_loopback
+samples += loopback
+sample_screens += loopback/loopback.scn
+loopback_SOURCES = loopback/init.c
+loopback_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_loopback) \
+	$(support_includes) -I$(RTEMS_SOURCE_ROOT)/cpukit/libnetworking
 endif
 endif
 
-include $(top_srcdir)/../automake/subdirs.am
+if TEST_minimum
+samples += minimum
+sample_screens += minimum/minimum.scn
+sample_docs += minimum/minimum.doc
+minimum_SOURCES = minimum/init.c
+minimum_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_minimum)
+endif
+
+if TEST_nsecs
+samples += nsecs
+sample_screens += nsecs/nsecs.scn
+sample_docs += nsecs/nsecs.doc
+nsecs_SOURCES = nsecs/init.c nsecs/empty.c
+nsecs_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_nsecs) \
+	$(support_includes)
+endif
+
+if TEST_paranoia
+samples += paranoia
+sample_screens += paranoia/paranoia.scn
+sample_docs += paranoia/paranoia.doc
+paranoia_SOURCES = paranoia/init.c paranoia/paranoia.c \
+	paranoia/system.h
+paranoia_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_paranoia) \
+	$(support_includes) -DCYGNUS -DNOMAIN -DNOSIGNAL
+paranoia_LDADD = -lm
+endif
+
+if NETTESTS
+if NO_SMP
+if TEST_pppd
+samples += pppd
+pppd_SOURCES = pppd/init.c pppd/pppdapp.c pppd/netconfig.h \
+	pppd/system.h
+pppd_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_pppd) $(support_includes) \
+	-I$(RTEMS_SOURCE_ROOT)/cpukit/libnetworking
+pppd_LDADD = -lpppd
+endif
+endif
+endif
+
+if TEST_ticker
+samples += ticker
+sample_screens += ticker/ticker.scn
+sample_docs += ticker/ticker.doc
+ticker_SOURCES = ticker/init.c ticker/tasks.c ticker/system.h
+ticker_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_ticker) \
+	$(support_includes)
+endif
+
+if TEST_unlimited
+samples += unlimited
+sample_screens += unlimited/unlimited.scn
+sample_docs += unlimited/unlimited.doc
+unlimited_SOURCES = unlimited/init.c unlimited/test1.c \
+	unlimited/test2.c unlimited/test3.c unlimited/system.h
+unlimited_CPPFLAGS = $(AM_CPPFLAGS) $(TEST_FLAGS_unlimited) \
+	$(support_includes)
+endif
+
+rtems_tests_PROGRAMS = $(samples)
+dist_rtems_tests_DATA = $(sample_screens) $(sample_docs)
+
 include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/base_mp/Makefile.am
===================================================================
--- testsuites/samples/base_mp/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,5 +1,0 @@
-SUBDIRS = node1 node2
-
-include $(top_srcdir)/../automake/subdirs.am
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/base_mp/base_mp-node1.scn
===================================================================
--- testsuites/samples/base_mp/base_mp-node1.scn	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ testsuites/samples/base_mp/base_mp-node1.scn	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
@@ -0,0 +1,5 @@
+*** SAMPLE MULTIPROCESSOR APPLICATION ***
+Creating and starting an application task
+This task was invoked with the node argument (1)
+This task has the id of 0x10002
+*** END OF SAMPLE MULTIPROCESSOR APPLICATION ***
Index: testsuites/samples/base_mp/base_mp-node2.scn
===================================================================
--- testsuites/samples/base_mp/base_mp-node2.scn	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
+++ testsuites/samples/base_mp/base_mp-node2.scn	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
@@ -0,0 +1,5 @@
+*** SAMPLE MULTIPROCESSOR APPLICATION ***
+Creating and starting an application task
+This task was invoked with the node argument (2)
+This task has the id of 0x20002
+*** END OF SAMPLE MULTIPROCESSOR APPLICATION ***
Index: testsuites/samples/base_mp/node1/Makefile.am
===================================================================
--- testsuites/samples/base_mp/node1/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,21 +1,0 @@
-rtems_tests_PROGRAMS = base_mp-node1
-base_mp_node1_SOURCES = ../init.c ../apptask.c ../system.h
-
-dist_rtems_tests_DATA = base_mp-node1.scn
-dist_rtems_tests_DATA += base_mp-node1.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -DNODE_NUMBER=1 -I.
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(base_mp_node1_OBJECTS)
-LINK_LIBS = $(base_mp_node1_LDLIBS)
-
-base_mp-node1$(EXEEXT): $(base_mp_node1_OBJECTS) $(base_mp_node1_DEPENDENCIES)
-	@rm -f base_mp-node1$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/base_mp/node1/base_mp-node1.scn
===================================================================
--- testsuites/samples/base_mp/node1/base_mp-node1.scn	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,5 +1,0 @@
-*** SAMPLE MULTIPROCESSOR APPLICATION ***
-Creating and starting an application task
-This task was invoked with the node argument (1)
-This task has the id of 0x10002
-*** END OF SAMPLE MULTIPROCESSOR APPLICATION ***
Index: testsuites/samples/base_mp/node2/Makefile.am
===================================================================
--- testsuites/samples/base_mp/node2/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,21 +1,0 @@
-rtems_tests_PROGRAMS = base_mp-node2
-base_mp_node2_SOURCES = ../init.c ../apptask.c ../system.h
-
-dist_rtems_tests_DATA = base_mp-node2.scn
-dist_rtems_tests_DATA += base_mp-node2.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -DNODE_NUMBER=2 -I.
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(base_mp_node2_OBJECTS)
-LINK_LIBS = $(base_mp_node2_LDLIBS)
-
-base_mp-node2$(EXEEXT): $(base_mp_node2_OBJECTS) $(base_mp_node2_DEPENDENCIES)
-	@rm -f base_mp-node2$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/base_mp/node2/base_mp-node2.scn
===================================================================
--- testsuites/samples/base_mp/node2/base_mp-node2.scn	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,5 +1,0 @@
-*** SAMPLE MULTIPROCESSOR APPLICATION ***
-Creating and starting an application task
-This task was invoked with the node argument (2)
-This task has the id of 0x20002
-*** END OF SAMPLE MULTIPROCESSOR APPLICATION ***
Index: testsuites/samples/base_sp/Makefile.am
===================================================================
--- testsuites/samples/base_sp/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,22 +1,0 @@
-
-rtems_tests_PROGRAMS = base_sp
-base_sp_SOURCES = init.c apptask.c system.h
-
-dist_rtems_tests_DATA = base_sp.scn
-dist_rtems_tests_DATA += base_sp.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-
-LINK_OBJS = $(base_sp_OBJECTS)
-LINK_LIBS = $(base_sp_LDLIBS)
-
-base_sp$(EXEEXT): $(base_sp_OBJECTS) $(base_sp_DEPENDENCIES)
-	@rm -f base_sp$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/capture/Makefile.am
===================================================================
--- testsuites/samples/capture/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,21 +1,0 @@
-
-rtems_tests_PROGRAMS = capture
-capture_SOURCES = init.c test1.c system.h
-
-dist_rtems_tests_DATA = capture.scn
-dist_rtems_tests_DATA += capture.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(capture_OBJECTS)
-LINK_LIBS = $(capture_LDLIBS)
-
-capture$(EXEEXT): $(capture_OBJECTS) $(capture_DEPENDENCIES)
-	@rm -f capture$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/cdtest/Makefile.am
===================================================================
--- testsuites/samples/cdtest/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,23 +1,0 @@
-
-rtems_tests_PROGRAMS = cdtest
-cdtest_SOURCES = init.c main.cc system.h
-
-dist_rtems_tests_DATA = cdtest.scn
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-
-# AM_CPPFLAGS += -DRTEMS_TEST_IO_STREAM
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(cdtest_OBJECTS)
-LINK_LIBS = $(cdtest_LDLIBS)
-
-cdtest$(EXEEXT): $(cdtest_OBJECTS) $(cdtest_DEPENDENCIES)
-	@rm -f cdtest$(EXEEXT)
-	$(make-cxx-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/configure.ac
===================================================================
--- testsuites/samples/configure.ac	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ testsuites/samples/configure.ac	(revision d027e6bb8e2595d38736763c55f0cd46a3f3cd1e)
@@ -55,5 +55,6 @@
 AM_CONDITIONAL([CXXTESTS],[test $CXXTESTS = "yes"])
 AM_CONDITIONAL(NETTESTS,test "$rtems_cv_RTEMS_NETWORKING" = "yes")
-AM_CONDITIONAL(MPTESTS,test "$rtems_cv_RTEMS_MULTIPROCESSING" = "yes")
+AM_CONDITIONAL(HAS_MP,test "$rtems_cv_RTEMS_MULTIPROCESSING" = "yes")
+AM_CONDITIONAL(NO_SMP,test "$rtems_cv_RTEMS_SMP" != "yes")
 AM_CONDITIONAL(HAS_SMP,test "$rtems_cv_RTEMS_SMP" = "yes")
 
@@ -61,22 +62,20 @@
 AC_CHECK_SIZEOF([time_t])
 
-# Explicitly list all Makefiles here
-AC_CONFIG_FILES([Makefile
-base_mp/Makefile
-base_mp/node1/Makefile
-base_mp/node2/Makefile
-base_sp/Makefile
-capture/Makefile
-cdtest/Makefile
-fileio/Makefile
-hello/Makefile
-iostream/Makefile
-loopback/Makefile
-minimum/Makefile
-nsecs/Makefile
-paranoia/Makefile
-pppd/Makefile
-ticker/Makefile
-unlimited/Makefile
-])
+# BSP Test configuration
+RTEMS_TEST_CHECK([base_mp])
+RTEMS_TEST_CHECK([base_sp])
+RTEMS_TEST_CHECK([capture])
+RTEMS_TEST_CHECK([cdtest])
+RTEMS_TEST_CHECK([iostream])
+RTEMS_TEST_CHECK([fileio])
+RTEMS_TEST_CHECK([hello])
+RTEMS_TEST_CHECK([loopback])
+RTEMS_TEST_CHECK([minimum])
+RTEMS_TEST_CHECK([nsecs])
+RTEMS_TEST_CHECK([paranoia])
+RTEMS_TEST_CHECK([pppd])
+RTEMS_TEST_CHECK([ticker])
+RTEMS_TEST_CHECK([unlimited])
+
+AC_CONFIG_FILES([Makefile])
 AC_OUTPUT
Index: testsuites/samples/fileio/Makefile.am
===================================================================
--- testsuites/samples/fileio/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,20 +1,0 @@
-rtems_tests_PROGRAMS = fileio
-fileio_SOURCES = init.c system.h
-
-dist_rtems_tests_DATA = fileio.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(fileio_OBJECTS)
-LINK_LIBS = $(fileio_LDLIBS)
-
-fileio$(EXEEXT): $(fileio_OBJECTS) $(fileio_DEPENDENCIES)
-	@rm -f fileio$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/hello/Makefile.am
===================================================================
--- testsuites/samples/hello/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,21 +1,0 @@
-
-rtems_tests_PROGRAMS = hello
-hello_SOURCES = init.c
-
-dist_rtems_tests_DATA = hello.scn
-dist_rtems_tests_DATA += hello.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(hello_OBJECTS)
-LINK_LIBS = $(hello_LDLIBS)
-
-hello$(EXEEXT): $(hello_OBJECTS) $(hello_DEPENDENCIES)
-	@rm -f hello$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/iostream/Makefile.am
===================================================================
--- testsuites/samples/iostream/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,20 +1,0 @@
-
-rtems_tests_PROGRAMS = cxx_iostream
-cxx_iostream_SOURCES = init.cc system.h
-
-dist_rtems_tests_DATA = iostream.scn
-dist_rtems_tests_DATA += iostream.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-
-LINK_OBJS = $(cxx_iostream_OBJECTS)
-LINK_LIBS = $(cxx_iostream_LDLIBS)
-
-cxx_iostream$(EXEEXT): $(cxx_iostream_OBJECTS) $(cxx_iostream_DEPENDENCIES)
-	@rm -f cxx_iostream$(EXEEXT)
-	$(make-cxx-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/loopback/Makefile.am
===================================================================
--- testsuites/samples/loopback/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,21 +1,0 @@
-
-rtems_tests_PROGRAMS = loopback
-loopback_SOURCES = init.c
-
-dist_rtems_tests_DATA = loopback.scn
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-AM_CPPFLAGS += -I$(RTEMS_SOURCE_ROOT)/cpukit/libnetworking
-
-LINK_OBJS = $(loopback_OBJECTS)
-LINK_LIBS = $(loopback_LDLIBS)
-
-loopback$(EXEEXT): $(loopback_OBJECTS) $(loopback_DEPENDENCIES)
-	@rm -f loopback$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/minimum/Makefile.am
===================================================================
--- testsuites/samples/minimum/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,22 +1,0 @@
-
-rtems_tests_PROGRAMS = minimum
-minimum_SOURCES = init.c
-
-dist_rtems_tests_DATA = minimum.scn
-dist_rtems_tests_DATA += minimum.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-
-# 	This test should not be executed
-
-LINK_OBJS = $(minimum_OBJECTS)
-LINK_LIBS = $(minimum_LDLIBS)
-
-minimum$(EXEEXT): $(minimum_OBJECTS) $(minimum_DEPENDENCIES)
-	@rm -f minimum$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/nsecs/Makefile.am
===================================================================
--- testsuites/samples/nsecs/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,21 +1,0 @@
-
-rtems_tests_PROGRAMS = nsecs
-nsecs_SOURCES = init.c empty.c
-
-dist_rtems_tests_DATA = nsecs.scn
-dist_rtems_tests_DATA += nsecs.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(nsecs_OBJECTS)
-LINK_LIBS = $(nsecs_LDLIBS)
-
-nsecs$(EXEEXT): $(nsecs_OBJECTS) $(nsecs_DEPENDENCIES)
-	@rm -f nsecs$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/paranoia/Makefile.am
===================================================================
--- testsuites/samples/paranoia/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,26 +1,0 @@
-
-rtems_tests_PROGRAMS = paranoia
-paranoia_SOURCES = init.c paranoia.c system.h
-
-dist_rtems_tests_DATA = paranoia.scn
-dist_rtems_tests_DATA += paranoia.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-#  -DCYGNUS   turns on more verbose msgs
-AM_CPPFLAGS += -DNOSIGNAL -DCYGNUS -DNOMAIN
-
-paranoia_LDLIBS = -lm
-
-LINK_OBJS = $(paranoia_OBJECTS)
-LINK_LIBS = $(paranoia_LDLIBS)
-
-paranoia$(EXEEXT): $(paranoia_OBJECTS) $(paranoia_DEPENDENCIES)
-	@rm -f paranoia$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/pppd/Makefile.am
===================================================================
--- testsuites/samples/pppd/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,23 +1,0 @@
-
-rtems_tests_PROGRAMS = pppd
-pppd_SOURCES = init.c pppdapp.c netconfig.h system.h
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-
-pppd_LDLIBS = -lpppd
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-AM_CPPFLAGS += -I$(RTEMS_SOURCE_ROOT)/cpukit/libnetworking
-
-LINK_OBJS = $(pppd_OBJECTS)
-LINK_LIBS = $(pppd_LDLIBS)
-
-pppd$(EXEEXT): $(pppd_OBJECTS) $(pppd_DEPENDENCIES)
-	@rm -f pppd$(EXEEXT)
-	$(make-exe)
-
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/ticker/Makefile.am
===================================================================
--- testsuites/samples/ticker/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,22 +1,0 @@
-
-rtems_tests_PROGRAMS = ticker
-ticker_SOURCES = init.c tasks.c system.h
-
-dist_rtems_tests_DATA = ticker.scn
-dist_rtems_tests_DATA += ticker.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(ticker_OBJECTS)
-LINK_LIBS = $(ticker_LDLIBS)
-
-ticker$(EXEEXT): $(ticker_OBJECTS) $(ticker_DEPENDENCIES)
-	@rm -f ticker$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: testsuites/samples/unlimited/Makefile.am
===================================================================
--- testsuites/samples/unlimited/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
+++ 	(revision )
@@ -1,22 +1,0 @@
-
-rtems_tests_PROGRAMS = unlimited
-unlimited_SOURCES = init.c test1.c test2.c test3.c system.h
-
-dist_rtems_tests_DATA = unlimited.scn
-dist_rtems_tests_DATA += unlimited.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-
-LINK_OBJS = $(unlimited_OBJECTS)
-LINK_LIBS = $(unlimited_LDLIBS)
-
-unlimited$(EXEEXT): $(unlimited_OBJECTS) $(unlimited_DEPENDENCIES)
-	@rm -f unlimited$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
